﻿Imports System
Imports System.Configuration
Imports System.Data
Imports System.Data.SqlClient

Partial Class VB
    Inherits System.Web.UI.Page
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
        If Not Me.IsPostBack Then
            Me.BindEmployees("")
        End If
    End Sub

    Protected Sub OnUSA_Click(ByVal sender As Object, ByVal e As EventArgs)
        Me.BindEmployees("USA")
    End Sub

    Protected Sub OnUK_Click(ByVal sender As Object, ByVal e As EventArgs)
        Me.BindEmployees("UK")
    End Sub

    Private Sub BindEmployees(ByVal country As String)
        Using con As SqlConnection = New SqlConnection(ConfigurationManager.ConnectionStrings("constr").ConnectionString)
            Using cmd As SqlCommand = New SqlCommand("SELECT EmployeeID,(FirstName+' '+LastName) AS Name,City,Country FROM Employees WHERE Country=@Country", con)
                cmd.CommandType = CommandType.Text
                cmd.Parameters.AddWithValue("@Country", country)
                Using sda As SqlDataAdapter = New SqlDataAdapter()
                    sda.SelectCommand = cmd
                    Dim dt As DataTable = New DataTable()
                    sda.Fill(dt)
                    Me.gvEmployees.DataSource = dt
                    Me.gvEmployees.DataBind()
                End Using
            End Using
        End Using
    End Sub
End Class
